com.amazonaws.codegen.emitters.tasks

## Class AwsGeneratorTasks

- java.lang.Object
- - com.amazonaws.codegen.emitters.tasks.AwsGeneratorTasks

All Implemented Interfaces:
  Iterable<GeneratorTask>

    public class AwsGeneratorTasks
    extends Object
    implements Iterable<GeneratorTask>

Generator tasks for AWS style clients.

### Constructor Summary

Constructors
Constructor and Description
`AwsGeneratorTasks(GeneratorTaskParams params)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Iterator<GeneratorTask>` `iterator()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### AwsGeneratorTasks

    public AwsGeneratorTasks(GeneratorTaskParams params)

### Method Detail

#### iterator

    public Iterator<GeneratorTask> iterator()

Specified by:
  `iterator` in interface `Iterable<GeneratorTask>`